net.sf.jasperreports.export

## Class SimplePdfExporterConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleExporterConfiguration
    - - net.sf.jasperreports.export.SimplePdfExporterConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ExporterConfiguration, PdfExporterConfiguration

      public class SimplePdfExporterConfiguration
      extends SimpleExporterConfiguration
      implements PdfExporterConfiguration

  Version:
    $Id: SimplePdfExporterConfiguration.java 6993 2014-03-28 10:33:00Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.PdfExporterConfiguration

      `ALL_PERMISSIONS, PROPERTY_128_BIT_KEY, PROPERTY_COMPRESSED, PROPERTY_CREATE_BATCH_MODE_BOOKMARKS, PROPERTY_ENCRYPTED, PROPERTY_METADATA_AUTHOR, PROPERTY_METADATA_CREATOR, PROPERTY_METADATA_KEYWORDS, PROPERTY_METADATA_SUBJECT, PROPERTY_METADATA_TITLE, PROPERTY_OWNER_PASSWORD, PROPERTY_PDF_JAVASCRIPT, PROPERTY_PDF_VERSION, PROPERTY_PDFA_CONFORMANCE, PROPERTY_PDFA_ICC_PROFILE_PATH, PROPERTY_PERMISSIONS_ALLOWED, PROPERTY_PERMISSIONS_DENIED, PROPERTY_PRINT_SCALING, PROPERTY_TAG_LANGUAGE, PROPERTY_TAGGED, PROPERTY_USER_PASSWORD`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplePdfExporterConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAllowedPermissions()` An exporter hint property representing the allowed permissions for the generated PDF document.
    `java.lang.String` | `getDeniedPermissions()` An exporter hint property representing the denied permissions for the generated PDF document.
    `java.lang.String` | `getIccProfilePath()` The path to the ICC profile file for the PDF/A compliant document.
    `java.lang.String` | `getMetadataAuthor()` The Author of the PDF document.
    `java.lang.String` | `getMetadataCreator()` The Creator or Application for the PDF document.
    `java.lang.String` | `getMetadataKeywords()` The Keywords of the PDF document, as comma-separated String.
    `java.lang.String` | `getMetadataSubject()` The Subject of the PDF document.
    `java.lang.String` | `getMetadataTitle()` The Title of the PDF document.
    `java.lang.String` | `getOwnerPassword()` The password belonging to the owner of the document, if it is encrypted.
    `PdfaConformanceEnum` | `getPdfaConformance()` The Conformance level of the PDF/A document.
    `java.lang.String` | `getPdfJavaScript()` The user defined JavaScript piece of code to be inserted in the generated PDF document.
    `PdfVersionEnum` | `getPdfVersion()` Returns a `Character` instance representing the version of the generated PDF.
    `java.lang.Integer` | `getPermissions()` An integer value representing the PDF permissions for the generated document.
    `PdfPrintScalingEnum` | `getPrintScaling()` Setting specifying the print scaling preference in the PDF print dialog.
    `java.lang.String` | `getTagLanguage()` Specifies the language that the exporter should put in the language tag of the generated PDF.
    `java.lang.String` | `getUserPassword()` The user password needed to open the document, if it is encrypted.
    `java.lang.Boolean` | `is128BitKey()` Returns a boolean value specifying whether the encryption key is 128 bits.
    `java.lang.Boolean` | `isCompressed()` Returns a boolean value specifying whether the PDF document should be compressed.
    `java.lang.Boolean` | `isCreatingBatchModeBookmarks()` Returns a boolean value specifying whether the PDF document should contain an outline section.
    `java.lang.Boolean` | `isEncrypted()` Returns a boolean value specifying whether the final PDF document should be encrypted.
    `java.lang.Boolean` | `isTagged()` Specifies whether the exporter should put structure tags in the generated PDF.
    `void` | `set128BitKey(java.lang.Boolean is128BitKey)`
    `void` | `setAllowedPermissionsHint(java.lang.String allowedPermissionsHint)`
    `void` | `setCompressed(java.lang.Boolean isCompressed)`
    `void` | `setCreatingBatchModeBookmarks(java.lang.Boolean isCreatingBatchModeBookmarks)`
    `void` | `setDeniedPermissionsHint(java.lang.String deniedPermissionsHint)`
    `void` | `setEncrypted(java.lang.Boolean isEncrypted)`
    `void` | `setIccProfilePath(java.lang.String iccProfilePath)`
    `void` | `setMetadataAuthor(java.lang.String metadataAuthor)`
    `void` | `setMetadataCreator(java.lang.String metadataCreator)`
    `void` | `setMetadataKeywords(java.lang.String metadataKeywords)`
    `void` | `setMetadataSubject(java.lang.String metadataSubject)`
    `void` | `setMetadataTitle(java.lang.String metadataTitle)`
    `void` | `setOwnerPassword(java.lang.String ownerPassword)`
    `void` | `setPdfaConformance(PdfaConformanceEnum pdfaConformance)`
    `void` | `setPdfJavaScript(java.lang.String pdfJavaScript)`
    `void` | `setPdfVersion(PdfVersionEnum pdfVersion)`
    `void` | `setPermissions(java.lang.Integer permissions)`
    `void` | `setPrintScaling(PdfPrintScalingEnum printScaling)`
    `void` | `setTagged(java.lang.Boolean isTagged)`
    `void` | `setTagLanguage(java.lang.String tagLanguage)`
    `void` | `setUserPassword(java.lang.String userPassword)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimplePdfExporterConfiguration

          public SimplePdfExporterConfiguration()

  - ### Method Detail

    - #### isCreatingBatchModeBookmarks

          public java.lang.Boolean isCreatingBatchModeBookmarks()

      Description copied from interface: `PdfExporterConfiguration`
      Returns a boolean value specifying whether the PDF document should contain an outline section.
      Specified by:
        `isCreatingBatchModeBookmarks` in interface `PdfExporterConfiguration`
      See Also:
        `PdfExporterConfiguration.PROPERTY_CREATE_BATCH_MODE_BOOKMARKS`

    - #### setCreatingBatchModeBookmarks

          public void setCreatingBatchModeBookmarks(java.lang.Boolean isCreatingBatchModeBookmarks)

    - #### isCompressed

          public java.lang.Boolean isCompressed()

      Description copied from interface: `PdfExporterConfiguration`
      Returns a boolean value specifying whether the PDF document should be compressed.
      Specified by:
        `isCompressed` in interface `PdfExporterConfiguration`
      See Also:
        `PdfExporterConfiguration.PROPERTY_COMPRESSED`

    - #### setCompressed

          public void setCompressed(java.lang.Boolean isCompressed)

    - #### isEncrypted

          public java.lang.Boolean isEncrypted()

      Description copied from interface: `PdfExporterConfiguration`
      Returns a boolean value specifying whether the final PDF document should be encrypted.

      When set to `Boolean.TRUE`, this parameter instructs the exporter to encrypt the resulting PDF document. By default PDF files are not encrypted.
      Specified by:
        `isEncrypted` in interface `PdfExporterConfiguration`
      See Also:
        `PdfExporterConfiguration.PROPERTY_ENCRYPTED`

    - #### setEncrypted

          public void setEncrypted(java.lang.Boolean isEncrypted)

    - #### is128BitKey

          public java.lang.Boolean is128BitKey()

      Description copied from interface: `PdfExporterConfiguration`
      Returns a boolean value specifying whether the encryption key is 128 bits.

      The PDF exporter can encrypt the files using either a 40-bit key or a 128-bit key. By default, it uses a 40-bit key, but if you set this flag to `Boolean.TRUE`, it can be configured to use a 128-bit key for stronger encryption.
      Specified by:
        `is128BitKey` in interface `PdfExporterConfiguration`
      See Also:
        `PdfExporterConfiguration.PROPERTY_128_BIT_KEY`

    - #### set128BitKey

          public void set128BitKey(java.lang.Boolean is128BitKey)

    - #### getUserPassword

          public java.lang.String getUserPassword()

      Description copied from interface: `PdfExporterConfiguration`
      The user password needed to open the document, if it is encrypted.
      Specified by:
        `getUserPassword` in interface `PdfExporterConfiguration`
      See Also:
        `PdfExporterConfiguration.PROPERTY_USER_PASSWORD`

    - #### setUserPassword

          public void setUserPassword(java.lang.String userPassword)

    - #### getOwnerPassword

          public java.lang.String getOwnerPassword()

      Description copied from interface: `PdfExporterConfiguration`
      The password belonging to the owner of the document, if it is encrypted. If the password is null, it will be replaced by a random string, so that access is denied to all would-be owners.
      Specified by:
        `getOwnerPassword` in interface `PdfExporterConfiguration`
      See Also:
        `PdfExporterConfiguration.PROPERTY_OWNER_PASSWORD`

    - #### setOwnerPassword

          public void setOwnerPassword(java.lang.String ownerPassword)

    - #### getPdfVersion

          public PdfVersionEnum getPdfVersion()

      Description copied from interface: `PdfExporterConfiguration`
      Returns a `Character` instance representing the version of the generated PDF. This class contains predefined constants that can be passed as parameters directly.
      Specified by:
        `getPdfVersion` in interface `PdfExporterConfiguration`
      See Also:
        `PdfExporterConfiguration.PROPERTY_PDF_VERSION`

    - #### setPdfVersion

          public void setPdfVersion(PdfVersionEnum pdfVersion)

    - #### getPdfJavaScript

          public java.lang.String getPdfJavaScript()

      Description copied from interface: `PdfExporterConfiguration`
      The user defined JavaScript piece of code to be inserted in the generated PDF document.
      Specified by:
        `getPdfJavaScript` in interface `PdfExporterConfiguration`
      See Also:
        `PdfExporterConfiguration.PROPERTY_PDF_JAVASCRIPT`

    - #### setPdfJavaScript

          public void setPdfJavaScript(java.lang.String pdfJavaScript)

    - #### getPrintScaling

          public PdfPrintScalingEnum getPrintScaling()

      Description copied from interface: `PdfExporterConfiguration`
      Setting specifying the print scaling preference in the PDF print dialog.
      Specified by:
        `getPrintScaling` in interface `PdfExporterConfiguration`

    - #### setPrintScaling

          public void setPrintScaling(PdfPrintScalingEnum printScaling)

    - #### isTagged

          public java.lang.Boolean isTagged()

      Description copied from interface: `PdfExporterConfiguration`
      Specifies whether the exporter should put structure tags in the generated PDF.
      Specified by:
        `isTagged` in interface `PdfExporterConfiguration`
      See Also:
        `PdfExporterConfiguration.PROPERTY_TAGGED`

    - #### setTagged

          public void setTagged(java.lang.Boolean isTagged)

    - #### getTagLanguage

          public java.lang.String getTagLanguage()

      Description copied from interface: `PdfExporterConfiguration`
      Specifies the language that the exporter should put in the language tag of the generated PDF.
      Specified by:
        `getTagLanguage` in interface `PdfExporterConfiguration`
      See Also:
        `PdfExporterConfiguration.PROPERTY_TAG_LANGUAGE`

    - #### setTagLanguage

          public void setTagLanguage(java.lang.String tagLanguage)

    - #### getPdfaConformance

          public PdfaConformanceEnum getPdfaConformance()

      Description copied from interface: `PdfExporterConfiguration`
      The Conformance level of the PDF/A document.
      Specified by:
        `getPdfaConformance` in interface `PdfExporterConfiguration`
      See Also:
        `PdfExporterConfiguration.PROPERTY_PDFA_CONFORMANCE`

    - #### setPdfaConformance

          public void setPdfaConformance(PdfaConformanceEnum pdfaConformance)

    - #### getIccProfilePath

          public java.lang.String getIccProfilePath()

      Description copied from interface: `PdfExporterConfiguration`
      The path to the ICC profile file for the PDF/A compliant document.
      Specified by:
        `getIccProfilePath` in interface `PdfExporterConfiguration`
      See Also:
        `PdfExporterConfiguration.PROPERTY_PDFA_ICC_PROFILE_PATH`

    - #### setIccProfilePath

          public void setIccProfilePath(java.lang.String iccProfilePath)

    - #### getPermissions

          public java.lang.Integer getPermissions()

      Description copied from interface: `PdfExporterConfiguration`
      An integer value representing the PDF permissions for the generated document. The open permissions for the document can be ALLOW_PRINTING, ALLOW_MODIFY_CONTENTS, ALLOW_COPY, ALLOW_MODIFY_ANNOTATIONS, ALLOW_FILL_IN, ALLOW_SCREENREADERS, ALLOW_ASSEMBLY and ALLOW_DEGRADED_PRINTING (these can all be found in the PdfWriter class of iText library). The permissions can be combined by applying bitwise OR to them.
      Specified by:
        `getPermissions` in interface `PdfExporterConfiguration`

    - #### setPermissions

          public void setPermissions(java.lang.Integer permissions)

    - #### getAllowedPermissions

          public java.lang.String getAllowedPermissions()

      Description copied from interface: `PdfExporterConfiguration`
      An exporter hint property representing the allowed permissions for the generated PDF document. Allowed permissions for the document can be PRINTING, MODIFY_CONTENTS, COPY, MODIFY_ANNOTATIONS, FILL_IN,SCREENREADERS, ASSEMBLY, DEGRADED_PRINTING and ALL. Different permissions are separated by a pipe (|) character.
      Specified by:
        `getAllowedPermissions` in interface `PdfExporterConfiguration`

    - #### setAllowedPermissionsHint

          public void setAllowedPermissionsHint(java.lang.String allowedPermissionsHint)

    - #### getDeniedPermissions

          public java.lang.String getDeniedPermissions()

      Description copied from interface: `PdfExporterConfiguration`
      An exporter hint property representing the denied permissions for the generated PDF document. Denied permissions for the document can be PRINTING, MODIFY_CONTENTS, COPY, MODIFY_ANNOTATIONS, FILL_IN,SCREENREADERS, ASSEMBLY, DEGRADED_PRINTING and ALL. Different permissions are separated by a pipe (|) character.
      Specified by:
        `getDeniedPermissions` in interface `PdfExporterConfiguration`

    - #### setDeniedPermissionsHint

          public void setDeniedPermissionsHint(java.lang.String deniedPermissionsHint)

    - #### getMetadataTitle

          public java.lang.String getMetadataTitle()

      Description copied from interface: `PdfExporterConfiguration`
      The Title of the PDF document.
      Specified by:
        `getMetadataTitle` in interface `PdfExporterConfiguration`

    - #### setMetadataTitle

          public void setMetadataTitle(java.lang.String metadataTitle)

    - #### getMetadataAuthor

          public java.lang.String getMetadataAuthor()

      Description copied from interface: `PdfExporterConfiguration`
      The Author of the PDF document.
      Specified by:
        `getMetadataAuthor` in interface `PdfExporterConfiguration`

    - #### setMetadataAuthor

          public void setMetadataAuthor(java.lang.String metadataAuthor)

    - #### getMetadataSubject

          public java.lang.String getMetadataSubject()

      Description copied from interface: `PdfExporterConfiguration`
      The Subject of the PDF document.
      Specified by:
        `getMetadataSubject` in interface `PdfExporterConfiguration`

    - #### setMetadataSubject

          public void setMetadataSubject(java.lang.String metadataSubject)

    - #### getMetadataKeywords

          public java.lang.String getMetadataKeywords()

      Description copied from interface: `PdfExporterConfiguration`
      The Keywords of the PDF document, as comma-separated String.
      Specified by:
        `getMetadataKeywords` in interface `PdfExporterConfiguration`

    - #### setMetadataKeywords

          public void setMetadataKeywords(java.lang.String metadataKeywords)

    - #### getMetadataCreator

          public java.lang.String getMetadataCreator()

      Description copied from interface: `PdfExporterConfiguration`
      The Creator or Application for the PDF document. Defaults to "JasperReports Library version x.x.x".
      Specified by:
        `getMetadataCreator` in interface `PdfExporterConfiguration`

    - #### setMetadataCreator

          public void setMetadataCreator(java.lang.String metadataCreator)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com